---

- name: Delete /var/lib/ceph directory
  file:
    path: /var/lib/ceph
    force: yes
    state: absent
  become: yes

- name: Delete /var/log/ceph directory
  file:
    path: /var/log/ceph
    state: absent
  become: yes

- name: Delete /etc/ceph directory
  file:
    path: /etc/ceph
    force: yes
    state: absent
  become: yes

- name: Create /var/lib/ceph directory
  file:
    path: /var/lib/ceph
    state: directory
    mode: 0777
  become: yes

- name: Create /var/log/ceph directory
  file:
    path: /var/log/ceph
    state: directory
    mode: 0777
  become: yes

- name: Create /etc/ceph directory
  file:
    path: /etc/ceph
    state: directory
    mode: 0777
  become: yes

- name: create ceph defaults
  template:
    src: templates/common_ceph.j2
    dest: /etc/ceph/ceph.defaults
    owner: root
    group: root
    mode: 0755
  become: yes
